# Command Line Flags

- -e : Exhaust mode (alpha version).
- -g number : Maximum number of hands to generate (default 1000000).
- -l number : Instead of shuffling, deals are read from the file `library.dat` by M. Ginsberg (see here), so the tricks() function is quite fast and bridge.exe from GIB is
- -m : Shows a progress meter.
- -p number : Maximum number of hands to produce (default 40).
- -q : Suppress PBN output (useful for testing, then switch it back on when generating the "final" sample).
- -s number : Uses number as the seed for the random generator, running the program twice with the same seed, will produce the same sequence of hands.
- -t number : Aborts execution after number seconds if no hands have been produced under the given conditions.
- -u : Select upper- or lowercase for the symbols "AKQJT".
- -v : Verbose output, prints statistics at the end of the run.
- -V : Emits a version-identification string and exits
- -h : Help, prints the syntax.
- -0 : No swapping, each deal is generated normally (shuffling), default.
- -2 : 2-way swapping, after each shuffle another deal is generated by permuting E and W, leaving N and S in place (NB: not fully compatible with predeal).
- -3 : 3-way swapping, after each shuffle another 5 deals are generated by permuting E, W, and S every which way, leaving N in place (NB: not fully compatible with predeal). not needed (NB: not compatible at all with predeal).